/* Ari's JAVA implementation of a message to be displayed on a graphics object */

import java.awt.*;
import java.lang.String;

public class Message {
	public String info;   // the contents of the message
	public Color myColor; // the color of the message
	/* denote displacement for the message;
		 positive means from the left-hand side of the screen, negative means from the rhs of the screen
		 */
	public int leftDisp, upperDisp;

	// sets up a new message
	public Message() { // a message
		info="";
		myColor=Color.black;     // the default color
		leftDisp=0;
		upperDisp=0;
	}

	public Message(String theInfo,
								 Color theColor,
								 int leftD, int upperD)
	{
		info=theInfo;
		myColor=theColor;
		leftDisp=leftD;
		upperDisp=upperD;
	}

	// paints the message on the Graphics device; should not change the painting mode
	public void paint(Graphics g, Dimension size) {
		Color currColor=g.getColor(); // store the current color
		g.setColor(myColor);          // change to the desired color
		
		int realLeft, realUpper; 
		if (leftDisp>=0)
			realLeft=leftDisp; // left edge
		else
			realLeft=size.width+leftDisp; // right edge

		if (upperDisp>=0)
			realUpper=upperDisp; // upper edge
		else
			realUpper=size.height+upperDisp; // bottom edge

		//System.out.println("Drawing message '"+info+"' at ("+realLeft+","+realUpper+")");
		g.drawString(info,            // display the message
								 realLeft,
								 realUpper);
		g.setColor(currColor);        // revert to the old color
	}
}
